- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/list#body.ListFirstPartyAndPartnerAudiencesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/list#try-it)

Lists first party and partner audiences.

The order is defined by the `https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/list#body.QUERY_PARAMETERS.order_by` parameter.

### HTTP request

`GET https://displayvideo.googleapis.com/v4/firstPartyAndPartnerAudiences`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Must be between `1` and `5000`. If unspecified, this value defaults to `5000`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/list#body.ListFirstPartyAndPartnerAudiencesResponse.FIELDS.next_page_token` returned from the previous call to `firstPartyAndPartnerAudiences.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Optional. Field by which to sort the list. Acceptable values are: - `FirstPartyAndPartnerAudienceId` (default) - `displayName` The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: `displayName desc`. |
| `filter` | `string` Optional. Allows filtering by first party and partner audience fields. Supported syntax: - Filter expressions for first party and partner audiences can only contain at most one restriction. - A restriction has the form of `{field} {operator} {value}`. - All fields must use the `HAS (:)` operator. Supported fields: - `displayName` Examples: - All first party and partner audiences for which the display name contains "Google": `displayName:"Google"`. The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |
| Required. Identifies which DV360 entity the request is being made within. The LIST request will only return first party and partner audience entities that are accessible to the DV360 entity identified within the `accessor`. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that has access to the fetched first party and partner audiences. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that has access to the fetched first party and partner audiences. |
| End of mutually exclusive fields. ||

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "firstPartyAndPartnerAudiences": [ { object (`https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences#FirstPartyAndPartnerAudience`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `firstPartyAndPartnerAudiences[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences#FirstPartyAndPartnerAudience`)`` The list of first party and partner audiences. Audience size properties will not be included. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `firstPartyAndPartnerAudiences.list` method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).